Skip to main content
GET
List All Connections

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Application-Id
string

Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.

Query Parameters

cursor
string<cursor>

Pagination cursor to start requests from

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

limit
integer

The maximum number of results to return in a page.

externalId
string
dotNumber
string
tag
string

Filter connections by tag

updatedAfter
string<date-time>

Filter connections that were last updated on or after a given time. ISO 8601 date

Example:

"2021-01-06T03:24:53.000Z"

updatedBefore
string<date-time>

Filter connections that were last updated on or before a given time. ISO 8601 date

Example:

"2021-01-06T03:24:53.000Z"

status
enum<string>

Filter connections by status Enum values:

  • connected: active and authenticated connection
  • disconnected: connection is no longer authenticated - please ask your user to link the account again
  • archived: connection has been archived from view - attempts to re-connect will cause us to check the connection status again
  • pending_deletion: connection has been marked for deletion and is awaiting the grace period
  • deleting: connection data is actively being deleted - this process is irreversible
  • deleted: connection data has been deleted and the record is retained as a stub
Available options:
connected,
disconnected,
archived,
pending_deletion,
deleting,
deleted
provider
string

Filter connections by provider Every provider has a unique code to identify it across Terminal's system. You can find each provider's code under provider details.

Example:

"geotab"

order
enum<string>
default:asc

Sort order by id (which is monotonically increasing by creation time). desc returns the most recently created connections first.

Available options:
asc,
desc

Response

OK

results
(Full Connection · object | Deleted Connection · object)[]
required

The connection your application has with your customer's TSP.

next
string<cursor>

Cursor used for pagination.

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"